### Constructor

# Gtk BoxLayout new

#### Declaration [src]

    GtkLayoutManager*
    gtk_box_layout_new (
      GtkOrientation orientation
    )

#### Description [src]

Creates a new `GtkBoxLayout`.

#### Parameters

`orientation` | `GtkOrientation`
| The orientation for the new layout.

#### Return value

Returns: | `GtkLayoutManager`
| A new box layout.
| The caller of the function takes ownership of the data, and is responsible for freeing it.